=== debian/changelog ===
gitlab-ci-multi-runner (1.4.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #833422).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 08 Aug 2016 10:39:20 +1000
