=== debian/changelog ===
gitlab-ci-multi-runner (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2016].
  * Updated patch to fix TestBuildOptionsUnmarshaling instead of disabling it.
  * New patch to disable failing TestMachineLimitMax (Closes: #834459).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 16 Aug 2016 10:43:16 +1000
