=== debian/control ===
Source: gitlab-ci-multi-runner
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9) ,dh-golang ,dh-systemd
              ,golang-go
    ,golang-github-burntsushi-toml-dev
    ,golang-github-codegangsta-cli-dev
    ,golang-github-docker-docker-dev
    ,golang-github-fsouza-go-dockerclient-dev
    ,golang-github-getsentry-raven-go-dev
    ,golang-github-kardianos-osext-dev
    ,golang-github-minio-minio-go-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-stretchr-testify-dev
    ,golang-golang-x-crypto-dev
    ,golang-yaml.v2-dev
# tests:
    ,ca-certificates
    ,git
    ,golang-github-golang-mock-dev
Standards-Version: 3.9.8
Homepage: https://gitlab.com/gitlab-org/gitlab-ci-multi-runner/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gitlab-ci-multi-runner.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gitlab-ci-multi-runner.git
XS-Go-Import-Path: gitlab.com/gitlab-org/gitlab-ci-multi-runner

Package: gitlab-ci-multi-runner
Provides: gitlab-runner
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
    ,adduser
    ,ca-certificates
#    ,curl
    ,git
Recommends: ${misc:Recommends}
    ,cdebootstrap
Suggests: ${misc:Suggests}
    ,docker.io
Description: GitLab Runner
 GitLab Runner runs tests and sends the results to GitLab.
 GitLab Continuous Integration (CI) service (included with GitLab)
 coordinates the testing.
