## gitlab-ci-multi-runner 1.7.1+dfsg

=== debian/changelog ===
gitlab-ci-multi-runner (1.7.1+dfsg-3) unstable; urgency=medium

  * Build-Depends += "golang-golang-x-oauth2-google-dev" (Closes: #844977).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 19 Nov 2016 23:30:26 +1100

gitlab-ci-multi-runner (1.7.1+dfsg-2) unstable; urgency=medium

  * mk-prebuilt-images.sh:
    + Capture verbose cdebootstrap logs.
    + "set -o pipefail" to properly abort on "set -e" when command is used
      with a pipe. This should prevent generating incomplete images on
      cdebootstrap errors.
    + Do not exclude packages (e2fsprogs, init) from pre-built image
      to fix image generation with cdebootstrap (>> 0.6.4).
      (Closes: #842380, #838011).

    Thanks, Vincent Danjean.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 14 Nov 2016 11:50:26 +1100

gitlab-ci-multi-runner (1.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2016].
  * Build-Depends:
    + golang-github-gorhill-cronexpr-dev
  * Depends:
    + lsb-base
  * Dropped "test--offline.patch" and removed corresponding
    "executor_shell_test.go" due to build-time network access.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 27 Oct 2016 16:19:09 +1100

gitlab-ci-multi-runner (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release [September 2016].
    - removed obsolete "ns-yaml-v2.patch".
  * Build-Depends:
    + golang-github-blang-semver-dev
    + golang-github-coreos-go-oidc-dev (>= 0.0~git20160926~)
    + golang-github-docker-distribution-dev
    + golang-github-docker-spdystream-dev
    + golang-github-emicklei-go-restful-dev
    + golang-github-ghodss-yaml-dev
    + golang-github-google-cadvisor-dev
    + golang-github-google-gofuzz-dev
    + golang-github-imdario-mergo-dev
    + golang-github-juju-ratelimit-dev
    + golang-github-pborman-uuid-dev
    + golang-github-spf13-pflag-dev
    + golang-gopkg-inf.v0-dev
  * mkimage: corrected regex for compatibility with older `awk`.
  * watch: ignore ~rc tags.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 27 Sep 2016 10:09:14 +1000

gitlab-ci-multi-runner (1.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release [September 2016].
  * Introduced bug-presubj file.
  * mk-prebuilt-images.sh:
    + added "gitlab-runner-helper" to prebuilt image (Closes: #838012).
      Thanks, Bastian Blank.
    + optimised logging; save cdebootstrap log.
    + fixed detection of APT proxy when "squid-deb-proxy-client" is installed.
    + print detected proxy.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 18 Sep 2016 22:20:41 +1000

gitlab-ci-multi-runner (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release [August 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 26 Aug 2016 10:49:17 +1000

gitlab-ci-multi-runner (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 25 Aug 2016 14:21:04 +1000
