=== debian/control ===
--- 
+++ 
@@ -5,16 +5,31 @@
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9) ,dh-golang ,dh-systemd
               ,golang-go
+    ,golang-github-blang-semver-dev
     ,golang-github-burntsushi-toml-dev
     ,golang-github-codegangsta-cli-dev
+    ,golang-github-coreos-go-oidc-dev (>= 0.0~git20160926~)
     ,golang-github-docker-docker-dev
+    ,golang-github-docker-distribution-dev
+    ,golang-github-docker-spdystream-dev
     ,golang-github-fsouza-go-dockerclient-dev
+    ,golang-github-emicklei-go-restful-dev
     ,golang-github-getsentry-raven-go-dev
+    ,golang-github-ghodss-yaml-dev
+    ,golang-github-google-cadvisor-dev
+    ,golang-github-google-gofuzz-dev
+    ,golang-github-gorhill-cronexpr-dev
+    ,golang-github-imdario-mergo-dev
+    ,golang-github-juju-ratelimit-dev
     ,golang-github-kardianos-osext-dev
     ,golang-github-minio-minio-go-dev
+    ,golang-github-pborman-uuid-dev
     ,golang-github-sirupsen-logrus-dev
+    ,golang-github-spf13-pflag-dev
     ,golang-github-stretchr-testify-dev
     ,golang-golang-x-crypto-dev
+    ,golang-golang-x-oauth2-google-dev
+    ,golang-gopkg-inf.v0-dev
     ,golang-yaml.v2-dev
 # tests:
     ,ca-certificates
@@ -36,6 +51,7 @@
     ,ca-certificates
 #    ,curl
     ,git
+    ,lsb-base
 Recommends: ${misc:Recommends}
     ,cdebootstrap
 Suggests: ${misc:Suggests}
