## gitlab-ci-multi-runner 1.8.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,17 @@
 NAME ?= gitlab-ci-multi-runner
 PACKAGE_NAME ?= $(NAME)
 PACKAGE_CONFLICT ?= $(PACKAGE_NAME)-beta
+VERSION := $(shell ./ci/version)
 REVISION := $(shell git rev-parse --short HEAD || echo unknown)
-LAST_TAG := $(shell git describe --tags --abbrev=0)
-COMMITS := $(shell echo `git log --oneline $(LAST_TAG)..HEAD | wc -l`)
-VERSION := $(shell (cat VERSION || echo dev) | sed -e 's/^v//g')
+BRANCH := $(shell git show-ref | grep "$(REVISION)" | grep -v HEAD | awk '{print $$2}' | sed 's|refs/remotes/origin/||' | sed 's|refs/heads/||' | sort | head -n 1)
 BUILT := $(shell date +%Y-%m-%dT%H:%M:%S%:z)
-ifneq ($(RELEASE),true)
-    VERSION := $(shell echo $(VERSION)~beta.$(COMMITS).g$(REVISION))
+
+LATEST_STABLE_TAG := $(shell git -c versionsort.prereleaseSuffix="-rc" -c versionsort.prereleaseSuffix="-RC" tag -l "v*.*.*" --sort=-v:refname | awk '!/rc/' | head -n 1)
+export IS_LATEST :=
+ifeq ($(shell git describe --exact-match --match $(LATEST_STABLE_TAG) >/dev/null 2>&1; echo $$?), 0)
+export IS_LATEST := true
 endif
-BRANCH := $(shell git show-ref | grep "$(REVISION)" | grep -v HEAD | awk '{print $$2}' | sed 's|refs/remotes/origin/||' | sed 's|refs/heads/||' | sort | head -n 1)
-ITTERATION := $(shell date +%s)
+
 PACKAGE_CLOUD ?= ayufan/gitlab-ci-multi-runner
 PACKAGE_CLOUD_URL ?= https://packagecloud.io/
 BUILD_PLATFORMS ?= -os '!netbsd' -os '!openbsd'
@@ -25,11 +26,15 @@
     fedora/20 fedora/21 fedora/22 fedora/23
 RPM_ARCHS ?= x86_64 i686 arm armhf
 COMMON_PACKAGE_NAMESPACE=$(shell go list ./common)
+
+# Packages in vendor/ are included in ./...
+# https://github.com/golang/go/issues/11659
+OUR_PACKAGES=$(shell go list ./... | grep -v '/vendor/')
+
 GO_LDFLAGS ?= -X $(COMMON_PACKAGE_NAMESPACE).NAME=$(PACKAGE_NAME) -X $(COMMON_PACKAGE_NAMESPACE).VERSION=$(VERSION) \
               -X $(COMMON_PACKAGE_NAMESPACE).REVISION=$(REVISION) -X $(COMMON_PACKAGE_NAMESPACE).BUILT=$(BUILT) \
               -X $(COMMON_PACKAGE_NAMESPACE).BRANCH=$(BRANCH)
 GO_FILES ?= $(shell find . -name '*.go')
-export GO15VENDOREXPERIMENT := 1
 export CGO_ENABLED := 0
 
 all: deps verify build
@@ -60,13 +65,12 @@
 
 version: FORCE
 	@echo Current version: $(VERSION)
-	@echo Current iteration: $(ITTERATION)
 	@echo Current revision: $(REVISION)
 	@echo Current branch: $(BRANCH)
 	@echo Build platforms: $(BUILD_PLATFORMS)
 	@echo DEB platforms: $(DEB_PLATFORMS)
 	@echo RPM platforms: $(RPM_PLATFORMS)
-	bash -c 'echo TEST: ${GO15VENDOREXPERIMENT}'
+	@echo IS_LATEST: $(IS_LATEST)
 
 verify: fmt vet lint complexity test
 
@@ -79,7 +83,7 @@
 	go get -u github.com/jteeuwen/go-bindata/...
 	go install cmd/vet
 
-out/docker/prebuilt-x86_64.tar.gz: $(GO_FILES)
+out/docker/prebuilt-x86_64.tar.xz: $(GO_FILES)
 	# Create directory
 	mkdir -p out/docker
 
@@ -96,18 +100,18 @@
 	docker create --name=gitlab-runner-prebuilt-x86_64-$(REVISION) gitlab-runner-prebuilt-x86_64:$(REVISION) /bin/sh
 	docker export -o out/docker/prebuilt-x86_64.tar gitlab-runner-prebuilt-x86_64-$(REVISION)
 	docker rm -f gitlab-runner-prebuilt-x86_64-$(REVISION)
-	gzip -f -9 out/docker/prebuilt-x86_64.tar
+	xz -f -9 out/docker/prebuilt-x86_64.tar
 else
 	$(warning =============================================)
 	$(warning WARNING: downloading prebuilt docker images that will be embedded in gitlab-runner)
 	$(warning WARNING: to use images compiled from your code install Docker Engine)
-	$(warning WARNING: and remove out/docker/prebuilt-x86_64.tar.gz)
+	$(warning WARNING: and remove out/docker/prebuilt-x86_64.tar.xz)
 	$(warning =============================================)
-	curl -o out/docker/prebuilt-x86_64.tar.gz \
-		https://gitlab-ci-multi-runner-downloads.s3.amazonaws.com/master/docker/prebuilt-x86_64.tar.gz
+	curl -o out/docker/prebuilt-x86_64.tar.xz \
+		https://gitlab-ci-multi-runner-downloads.s3.amazonaws.com/master/docker/prebuilt-x86_64.tar.xz
 endif
 
-out/docker/prebuilt-arm.tar.gz: $(GO_FILES)
+out/docker/prebuilt-arm.tar.xz: $(GO_FILES)
 	# Create directory
 	mkdir -p out/docker
 
@@ -124,18 +128,18 @@
 	docker create --name=gitlab-runner-prebuilt-arm-$(REVISION) gitlab-runner-prebuilt-arm:$(REVISION) /bin/sh
 	docker export -o out/docker/prebuilt-arm.tar gitlab-runner-prebuilt-arm-$(REVISION)
 	docker rm -f gitlab-runner-prebuilt-arm-$(REVISION)
-	gzip -f -9 out/docker/prebuilt-arm.tar
+	xz -f -9 out/docker/prebuilt-arm.tar
 else
 	$(warning =============================================)
 	$(warning WARNING: downloading prebuilt docker images that will be embedded in gitlab-runner)
 	$(warning WARNING: to use images compiled from your code install Docker Engine)
-	$(warning WARNING: and remove out/docker/prebuilt-arm.tar.gz)
+	$(warning WARNING: and remove out/docker/prebuilt-arm.tar.xz)
 	$(warning =============================================)
-	curl -o out/docker/prebuilt-arm.tar.gz \
-		https://gitlab-ci-multi-runner-downloads.s3.amazonaws.com/master/docker/prebuilt-arm.tar.gz
+	curl -o out/docker/prebuilt-arm.tar.xz \
+		https://gitlab-ci-multi-runner-downloads.s3.amazonaws.com/master/docker/prebuilt-arm.tar.xz
 endif
 
-executors/docker/bindata.go: out/docker/prebuilt-x86_64.tar.gz out/docker/prebuilt-arm.tar.gz
+executors/docker/bindata.go: out/docker/prebuilt-x86_64.tar.xz out/docker/prebuilt-arm.tar.xz
 	# Generating embedded data
 	go-bindata \
 		-pkg docker \
@@ -144,8 +148,9 @@
 		-nometadata \
 		-prefix out/docker/ \
 		-o executors/docker/bindata.go \
-		out/docker/prebuilt-x86_64.tar.gz \
-		out/docker/prebuilt-arm.tar.gz
+		out/docker/prebuilt-x86_64.tar.xz \
+		out/docker/prebuilt-arm.tar.xz
+	go fmt executors/docker/bindata.go
 
 docker: executors/docker/bindata.go
 
@@ -165,27 +170,29 @@
 
 fmt:
 	# Checking project code formatting...
-	@go fmt ./... | awk '{ print "Please run go fmt"; exit 1 }'
+	@go fmt $(OUR_PACKAGES) | awk '{if (NF > 0) {if (NR == 1) print "Please run go fmt for:"; print "- "$$1}} END {if (NF > 0) {if (NR > 0) exit 1}}'
 
 vet:
 	# Checking for suspicious constructs...
-	@go vet ./...
+	@go vet $(OUR_PACKAGES)
 
 lint:
 	# Checking project code style...
-	@golint ./... | ( ! grep -v -e "be unexported" -e "don't use an underscore in package name" -e "ALL_CAPS" )
+	@golint ./... | ( ! grep -v -e "^vendor/" -e "be unexported" -e "don't use an underscore in package name" -e "ALL_CAPS" )
 
 complexity:
 	# Checking code complexity
-	@gocyclo -over 9 $(shell find . -name '*.go' | grep -v \
-	    -e "/Godeps" \
+	@gocyclo -over 9 $(shell find . -name '*.go' -not -path './vendor/*' | grep -v \
 	    -e "/helpers/shell_escape.go" \
+			-e "/executors/kubernetes/executor_kubernetes_test.go" \
+			-e "/executors/kubernetes/util_test.go" \
+			-e "/executors/kubernetes/exec_test.go" \
 	    -e "/executors/parallels/" \
 	    -e "/executors/virtualbox/")
 
 test: executors/docker/bindata.go
 	# Running tests...
-	@go test ./... -cover
+	@go test $(OUR_PACKAGES) -cover
 
 install: executors/docker/bindata.go
 	go install --ldflags="$(GO_LDFLAGS)"
@@ -195,10 +202,11 @@
 
 mocks: FORCE
 	go get github.com/vektra/mockery/.../
-	rm -rf mocks/
-	mockery -dir=$(GOPATH)/src/github.com/ayufan/golang-kardianos-service -name=Interface
-	mockery -dir=./common -name=Network
-	mockery -dir=./helpers/docker -name=Client
+	rm -rf ./mocks ./helpers/docker/mocks ./common/mocks ./helpers/service/mocks
+	find . -type f -name 'mock_*' -delete
+	mockery -dir=$(GOPATH)/src/github.com/ayufan/golang-kardianos-service -output=./helpers/service/mocks -name=Interface
+	mockery -dir=./common -all -inpkg
+	mockery -dir=./helpers/docker -all -inpkg
 
 test-docker:
 	make test-docker-image IMAGE=centos:6 TYPE=rpm
@@ -315,20 +323,3 @@
 	# Removing $(YANK) from packagecloud...
 	-for DIST in $(DEB_PLATFORMS); do \
 		for ARCH in $(DEB_ARCHS); do \
-			package_cloud yank --url $(PACKAGE_CLOUD_URL) $(PACKAGE_CLOUD)/$$DIST $(PACKAGE_NAME)_$(YANK)_$$ARCH.deb & \
-		done; \
-	done; \
-	for DIST in $(RPM_PLATFORMS); do \
-		for ARCH in $(RPM_ARCHS); do \
-			package_cloud yank --url $(PACKAGE_CLOUD_URL) $(PACKAGE_CLOUD)/$$DIST $(PACKAGE_NAME)-$(YANK)-1.$$ARCH.rpm & \
-		done; \
-	done; \
-	wait
-else
-	# No version specified in YANK
-	@exit 1
-endif
-
-s3-upload:
-	export ARTIFACTS_DEST=artifacts; curl -sL https://raw.githubusercontent.com/travis-ci/artifacts/master/install | bash
-	./artifacts upload \
