=== debian/changelog ===
gitlab-ci-multi-runner (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release [November 2016].
  * Build-Depends += "golang-github-prometheus-client-golang-dev".
  * Build-Depends on "golang-go (>= 2:1.7~)".
  * New "nopull_prebuilt.patch" to prevent attempts to pull prebuilt image.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 30 Nov 2016 17:24:29 +1100
