=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9) ,dh-golang ,dh-systemd
-              ,golang-go
+              ,golang-go (>= 2:1.7~)
     ,golang-github-blang-semver-dev
     ,golang-github-burntsushi-toml-dev
     ,golang-github-codegangsta-cli-dev
@@ -24,6 +24,7 @@
     ,golang-github-kardianos-osext-dev
     ,golang-github-minio-minio-go-dev
     ,golang-github-pborman-uuid-dev
+    ,golang-github-prometheus-client-golang-dev
     ,golang-github-sirupsen-logrus-dev
     ,golang-github-spf13-pflag-dev
     ,golang-github-stretchr-testify-dev
