=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,6 @@
 
 override_dh_auto_configure: $(MKPI)
 	dh_auto_configure
-	cp -v --no-dereference vendor _build/src/gitlab.com/gitlab-org/gitlab-ci-multi-runner/
 
 override_dh_auto_build:
 	dh_auto_build --parallel -- \
@@ -49,3 +48,4 @@
 	HOME=$(CURDIR)/debian/tmp \
         dh_auto_test -- \
             -ldflags "$(GO_LDFLAGS)"
+#-test.short
