## gitlab-ci-multi-runner 1.8.1+dfsg

=== debian/changelog ===
gitlab-ci-multi-runner (1.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release [November 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 02 Dec 2016 11:16:31 +1100
