=== debian/changelog ===
gitlab-ci-multi-runner (1.9.2+dfsg-1) unstable; urgency=medium

  * New upstream release [January 2017].
  * Install "/usr/share/gitlab-runner/clear-docker-cache" script.
  * Enabled build tests by faking git repository.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 10 Jan 2017 17:51:16 +1100
