## gitlab-ci-multi-runner 1.10.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 NAME ?= gitlab-ci-multi-runner
 PACKAGE_NAME ?= $(NAME)
 PACKAGE_CONFLICT ?= $(PACKAGE_NAME)-beta
-VERSION := $(shell ./ci/version)
+export VERSION := $(shell ./ci/version)
 REVISION := $(shell git rev-parse --short HEAD || echo unknown)
 BRANCH := $(shell git show-ref | grep "$(REVISION)" | grep -v HEAD | awk '{print $$2}' | sed 's|refs/remotes/origin/||' | sed 's|refs/heads/||' | sort | head -n 1)
 BUILT := $(shell date +%Y-%m-%dT%H:%M:%S%:z)
@@ -17,7 +17,7 @@
 BUILD_PLATFORMS ?= -os '!netbsd' -os '!openbsd'
 S3_UPLOAD_PATH ?= master
 DEB_PLATFORMS ?= debian/wheezy debian/jessie debian/stretch debian/buster \
-    ubuntu/precise ubuntu/trusty ubuntu/utopic ubuntu/vivid ubuntu/wily ubuntu/xenial \
+    ubuntu/precise ubuntu/trusty ubuntu/utopic ubuntu/vivid ubuntu/wily ubuntu/xenial ubuntu/yakkety \
     raspbian/wheezy raspbian/jessie raspbian/stretch raspbian/buster \
     linuxmint/petra linuxmint/qiana linuxmint/rebecca linuxmint/rafaela linuxmint/rosa
 DEB_ARCHS ?= amd64 i386 armel armhf
@@ -231,7 +231,14 @@
 	make build BUILD_PLATFORMS="-os=linux -arch=amd64"
 	scp out/binaries/$(PACKAGE_NAME)-linux-amd64 $(SERVER):/usr/bin/gitlab-runner
 
-package: package-deps package-deb package-rpm
+package: package-deps package-prepare package-deb package-rpm
+
+package-deps:
+	# Installing packaging dependencies...
+	gem install fpm
+
+package-prepare:
+	chmod 755 packaging/root/usr/share/gitlab-runner/*
 
 package-deb:
 	# Building Debian compatible packages...
@@ -246,10 +253,6 @@
 	make package-rpm-fpm ARCH=386 PACKAGE_ARCH=i686
 	make package-rpm-fpm ARCH=arm PACKAGE_ARCH=arm
 	make package-rpm-fpm ARCH=arm PACKAGE_ARCH=armhf
-
-package-deps:
-	# Installing packaging dependencies...
-	gem install fpm
 
 package-deb-fpm:
 	@mkdir -p out/deb/
@@ -320,6 +323,3 @@
 
 packagecloud-yank:
 ifneq ($(YANK),)
-	# Removing $(YANK) from packagecloud...
-	-for DIST in $(DEB_PLATFORMS); do \
-		for ARCH in $(DEB_ARCHS); do \
