=== debian/changelog ===
gitlab-ci-multi-runner (1.10.3+dfsg-1) unstable; urgency=medium

  * New upstream release [January 2017].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 31 Jan 2017 16:35:21 +1100
