## gitlab-ci-multi-runner 1.11.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -17,13 +17,13 @@
 BUILD_PLATFORMS ?= -os '!netbsd' -os '!openbsd'
 S3_UPLOAD_PATH ?= master
 DEB_PLATFORMS ?= debian/wheezy debian/jessie debian/stretch debian/buster \
-    ubuntu/precise ubuntu/trusty ubuntu/utopic ubuntu/vivid ubuntu/wily ubuntu/xenial ubuntu/yakkety \
+    ubuntu/precise ubuntu/trusty ubuntu/utopic ubuntu/vivid ubuntu/wily ubuntu/xenial ubuntu/yakkety ubuntu/zesty \
     raspbian/wheezy raspbian/jessie raspbian/stretch raspbian/buster \
-    linuxmint/petra linuxmint/qiana linuxmint/rebecca linuxmint/rafaela linuxmint/rosa
+    linuxmint/petra linuxmint/qiana linuxmint/rebecca linuxmint/rafaela linuxmint/rosa linuxmint/sarah linuxmint/serena
 DEB_ARCHS ?= amd64 i386 armel armhf
 RPM_PLATFORMS ?= el/6 el/7 \
     ol/6 ol/7 \
-    fedora/20 fedora/21 fedora/22 fedora/23
+    fedora/20 fedora/21 fedora/22 fedora/23 fedora/24 fedora/25
 RPM_ARCHS ?= x86_64 i686 arm armhf
 COMMON_PACKAGE_NAMESPACE=$(shell go list ./common)
 
@@ -238,6 +238,7 @@
 	gem install fpm
 
 package-prepare:
+	chmod 755 packaging/root/usr/share/gitlab-runner/
 	chmod 755 packaging/root/usr/share/gitlab-runner/*
 
 package-deb:
@@ -265,9 +266,9 @@
 		--before-remove packaging/scripts/prerm.deb \
 		--url https://gitlab.com/gitlab-org/gitlab-ci-multi-runner \
 		--description "GitLab Runner" \
-		-m "Kamil Trzciński <ayufan@ayufan.eu>" \
+		-m "GitLab Inc. <support@gitlab.com>" \
 		--license "MIT" \
-		--vendor "ayufan.eu" \
+		--vendor "GitLab Inc." \
 		--conflicts $(PACKAGE_CONFLICT) \
 		--provides gitlab-runner \
 		--replaces gitlab-runner \
@@ -290,9 +291,9 @@
 		--before-remove packaging/scripts/prerm.rpm \
 		--url https://gitlab.com/gitlab-org/gitlab-ci-multi-runner \
 		--description "GitLab Runner" \
-		-m "Kamil Trzciński <ayufan@ayufan.eu>" \
+		-m "GitLab Inc. <support@gitlab.com>" \
 		--license "MIT" \
-		--vendor "ayufan.eu" \
+		--vendor "GitLab Inc." \
 		--conflicts $(PACKAGE_CONFLICT) \
 		--provides gitlab-runner \
 		--replaces gitlab-runner \
@@ -318,8 +319,3 @@
 packagecloud-rpm:
 	# Sending RedHat compatible packages...
 	-for DIST in $(RPM_PLATFORMS); do \
-		package_cloud push --url $(PACKAGE_CLOUD_URL) $(PACKAGE_CLOUD)/$$DIST out/rpm/*.rpm; \
-	done
-
-packagecloud-yank:
-ifneq ($(YANK),)
