=== debian/changelog ===
gitlab-ci-multi-runner (1.11.1+dfsg-1) unstable; urgency=medium

  * New upstream release [March 2017].
  * New "kubernetes.patch" to fix FTBFS with runc v1.0.0.
  * Updated "test--fixcompare.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 09 Mar 2017 19:03:53 +1100
