## gitlab-ci-multi-runner 1.11.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -72,7 +72,9 @@
 	@echo RPM platforms: $(RPM_PLATFORMS)
 	@echo IS_LATEST: $(IS_LATEST)
 
-verify: fmt vet lint complexity test
+verify: static_code_analysis test
+
+static_code_analysis: fmt vet lint complexity
 
 deps:
 	# Installing dependencies...
@@ -235,20 +237,20 @@
 
 package-deps:
 	# Installing packaging dependencies...
-	gem install fpm
+	gem install fpm --no-ri --no-rdoc
 
 package-prepare:
 	chmod 755 packaging/root/usr/share/gitlab-runner/
 	chmod 755 packaging/root/usr/share/gitlab-runner/*
 
-package-deb:
+package-deb: package-deps package-prepare
 	# Building Debian compatible packages...
 	make package-deb-fpm ARCH=amd64 PACKAGE_ARCH=amd64
 	make package-deb-fpm ARCH=386 PACKAGE_ARCH=i386
 	make package-deb-fpm ARCH=arm PACKAGE_ARCH=armel
 	make package-deb-fpm ARCH=arm PACKAGE_ARCH=armhf
 
-package-rpm:
+package-rpm: package-deps package-prepare
 	# Building RedHat compatible packages...
 	make package-rpm-fpm ARCH=amd64 PACKAGE_ARCH=amd64
 	make package-rpm-fpm ARCH=386 PACKAGE_ARCH=i686
@@ -308,14 +310,8 @@
 
 packagecloud-deps:
 	# Installing packagecloud dependencies...
-	gem install package_cloud
+	gem install package_cloud --no-ri --no-rdoc
 
 packagecloud-deb:
 	# Sending Debian compatible packages...
 	-for DIST in $(DEB_PLATFORMS); do \
-		package_cloud push --url $(PACKAGE_CLOUD_URL) $(PACKAGE_CLOUD)/$$DIST out/deb/*.deb; \
-	done
-
-packagecloud-rpm:
-	# Sending RedHat compatible packages...
-	-for DIST in $(RPM_PLATFORMS); do \
