=== debian/changelog ===
gitlab-ci-multi-runner (1.11.4+dfsg-2) unstable; urgency=medium

  * New "swagger.patch" to fix FTBFS (Closes: #871078).
  * Build-Depends:
    * golang-github-emicklei-go-restful-dev (>=2.4.0~)
    + golang-github-emicklei-go-restful-swagger12-dev
    - golang-github-opencontainers-runc-dev
    + golang-github-opencontainers-docker-runc-dev
  * Standards-Version: 4.1.1; Priority: optional.
  * Debhelper/compat to version 10.
  * Updated project URL.
  * rules: removed calls to `dpkg-parsechangelog`.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 19 Oct 2017 01:42:19 +1100

gitlab-ci-multi-runner (1.11.4+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2017].
  * Build-Depends += "golang-github-opencontainers-runc-dev (>=1.0.0~)".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 24 May 2017 07:23:14 +1000
