=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gitlab-ci-multi-runner
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9) ,dh-golang ,dh-systemd
+Build-Depends: debhelper (>= 10) ,dh-golang
               ,golang-go (>= 2:1.7~)
     ,golang-github-blang-semver-dev
     ,golang-github-burntsushi-toml-dev
@@ -13,7 +13,8 @@
     ,golang-github-docker-distribution-dev
     ,golang-github-docker-spdystream-dev
     ,golang-github-fsouza-go-dockerclient-dev
-    ,golang-github-emicklei-go-restful-dev
+    ,golang-github-emicklei-go-restful-dev (>=2.4.0~)
+    ,golang-github-emicklei-go-restful-swagger12-dev
     ,golang-github-getsentry-raven-go-dev
     ,golang-github-ghodss-yaml-dev
     ,golang-github-google-cadvisor-dev
@@ -23,6 +24,7 @@
     ,golang-github-juju-ratelimit-dev
     ,golang-github-kardianos-osext-dev
     ,golang-github-minio-minio-go-dev
+    ,golang-github-opencontainers-docker-runc-dev (>=1.0.0~)
     ,golang-github-pborman-uuid-dev
     ,golang-github-prometheus-client-golang-dev
     ,golang-github-sirupsen-logrus-dev
@@ -36,8 +38,8 @@
     ,ca-certificates
     ,git
     ,golang-github-golang-mock-dev
-Standards-Version: 3.9.8
-Homepage: https://gitlab.com/gitlab-org/gitlab-ci-multi-runner/
+Standards-Version: 4.1.1
+Homepage: https://gitlab.com/gitlab-org/gitlab-runner/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gitlab-ci-multi-runner.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gitlab-ci-multi-runner.git
 XS-Go-Import-Path: gitlab.com/gitlab-org/gitlab-ci-multi-runner
