=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 
-PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
-PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
-VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s*([\d\.]+)}')
+include /usr/share/dpkg/pkg-info.mk
+
+VER ?= $(shell printf $(DEB_VERSION_UPSTREAM) | perl -ne 'print $$1 if m{^([\d\.]+)}')
+$(info DEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) VER=$(VER))
 
 export DH_GOPKG = gitlab.com/gitlab-org/gitlab-ci-multi-runner
 export DH_GOPKG_common = $(DH_GOPKG)/common
@@ -12,7 +13,7 @@
 
 ## Set some build variables as per Makefile:
 GO_LDFLAGS ?= \
-    -X $(DH_GOPKG_common).NAME=$(PKG) \
+    -X $(DH_GOPKG_common).NAME=$(DEB_SOURCE) \
     -X $(DH_GOPKG_common).REVISION=$(VER)
 #    -X $(DH_GOPKG_common).VERSION=$(VERSION)
 #    -X $(DH_GOPKG_common).BUILT=$(BUILT)
@@ -33,7 +34,12 @@
 	sed -e 's/__VERSION__/$(VER)/g' $@.in > $@
 	chmod --reference=$@.in $@
 
-override_dh_auto_configure: $(MKPI)
+GITDIR=_build/src/$(DH_GOPKG)/tmp/gitlab-test
+$(GITDIR):
+	mkdir -v -p $@
+	cd $@ && git init
+
+override_dh_auto_configure: $(MKPI) $(GITDIR)
 	dh_auto_configure
 
 override_dh_auto_build:
