## gitlab-ci-multi-runner 10.5.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,10 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
+VER  ?= $(shell sh -c 'printf "$${1%%+dfsg*}"' -- "$(DEB_VERSION_UPSTREAM)")
 
-VER ?= $(shell printf $(DEB_VERSION_UPSTREAM) | perl -ne 'print $$1 if m{^([\d\.]+)}')
-$(info DEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) VER=$(VER))
-
-export DH_GOPKG = gitlab.com/gitlab-org/gitlab-ci-multi-runner
+export DH_GOLANG_GO_GENERATE := 1
+export DH_GOPKG = gitlab.com/gitlab-org/gitlab-runner
 export DH_GOPKG_common = $(DH_GOPKG)/common
 #export DH_GOLANG_INSTALL_EXTRA := vendor
 #export DH_GOLANG_INSTALL_ALL := 1
@@ -13,22 +12,23 @@
 
 ## Set some build variables as per Makefile:
 GO_LDFLAGS ?= \
-    -X $(DH_GOPKG_common).NAME=$(DEB_SOURCE) \
+    -X $(DH_GOPKG_common).VERSION=$(VER) \
     -X $(DH_GOPKG_common).REVISION=$(VER)
-#    -X $(DH_GOPKG_common).VERSION=$(VERSION)
+#    -X $(DH_GOPKG_common).NAME=$(DEB_SOURCE)
 #    -X $(DH_GOPKG_common).BUILT=$(BUILT)
 #    -X $(DH_GOPKG_common).BRANCH=$(BRANCH)
 
 MKPI=debian/mk-prebuilt-images.sh
 
 %:
-	dh $@ --buildsystem=golang --with=golang,systemd --builddirectory=_build --paralel
+	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
 
 override_dh_clean:
 	dh_clean $(MKPI)
 	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
 	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
-	-find Godeps -type d -empty -delete -print
+	-find vendor -type d -empty -delete -print
+	-find . -type f -name '*.generated.go' -print -delete ## delete .generated.go files
 
 $(MKPI):
 	sed -e 's/__VERSION__/$(VER)/g' $@.in > $@
